From 9cfd73d303ca4e768afb905daaa89cdc1e2e9db8 Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Sat, 20 Jul 2019 19:00:42 +0200
Subject: [PATCH] calibre: update to 3.46.0.

---
 srcpkgs/calibre/template | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/calibre/template b/srcpkgs/calibre/template
index e2035d89824..301573e02da 100644
--- a/srcpkgs/calibre/template
+++ b/srcpkgs/calibre/template
@@ -1,6 +1,6 @@
 # Template file for 'calibre'
 pkgname=calibre
-version=3.45.2
+version=3.46.0
 revision=1
 build_style=python2-module
 pycompile_dirs="/usr/lib/calibre/"
@@ -23,20 +23,18 @@ maintainer="bra1nwave <brainwave@openmailbox.org>"
 license="GPL-3.0-only"
 homepage="https://calibre-ebook.com"
 distfiles="https://download.calibre-ebook.com/${version}/calibre-${version}.tar.xz"
-checksum=0528b4e19c87791cec756ee253bd39cd4e135e86833c9cf673000e5dce78e98c
+checksum=e947b9854f9db344ee07e5495feaad759c96936d89a128d3a3587c3503d09ab6
 nocross=yes
 
 do_configure() {
 	# Remove unneeded files and libs
 	rm -rf resources/${pkgname}-portable.* \
-		src/cherrypy \
-		src/chardet
 
 	# Desktop integration (e.g. enforce arch defaults)
-	sed -e "/import config_dir/,/os.rmdir(config_dir)/d" \
+	vsed -i src/calibre/linux.py \
+		-e "/import config_dir/,/os.rmdir(config_dir)/d" \
 		-e "s/'ctc-posml'/'text' not in mt and 'pdf' not in mt and 'xhtml'/" \
-		-e "s/^Name=calibre/Name=Calibre/g" \
-		-i  src/calibre/linux.py
+		-e "s/^Name=calibre/Name=Calibre/g"
 }
 
 do_install() {
